// import { ChartElement } from '../chartElement.js'
// import { ChartArea } from '../chartArea.js'
// export 
class Axis extends ChartElement {
    constructor() {
        super()
        this._ticks = []
        this._labels = []
        this.ticksCount = 20
        this.ticksLength = 10
    }
    get area() {
        return ChartArea.xAxis
    }
    get ticks() {
        return this._ticks
    }
    get labels() {
        return this._labels
    }
    get range() {
        var viewport = this.viewport
        if (this.area == ChartArea.yAxis) {
            return [viewport.visible[1], viewport.visible[3]]
        } else {
            return [viewport.visible[0], viewport.visible[2]]
        }
    }
    calcTicks() { }
}