// import { CanvasDrawingElement } from './canvasDrawingElement.js'
// import { ChartArea } from '../chart/chartArea.js'
// export 
class LineDrawing extends CanvasDrawingElement {
    constructor() {
        super()
        this.data = null //[ x1,y1,x2,y2 ]
    }
    get area() {
        return ChartArea.plot
    }
    render(context, screen) {
        super.render(context, screen)
        let data = this.data
        let viewport = this.viewport
        if (data != null) {
            let points = viewport.transform(data, screen)
            context.strokeStyle = "#FF0000"
            context.beginPath()
            context.moveTo(points[0], points[1])
            let length = points.length / 2
            for (let i = 1; i < length; i++) {
                let x = points[2 * i]
                let y = points[2 * i + 1]
                context.lineTo(x, y)
            }
            context.stroke()
        }
    }
}