// import { ChartArea } from './chartArea.js'
// export
class ChartElement {
    constructor() {
        this._viewport = null
    }
    get area() {
        return ChartArea.plot
    }
    get viewport() {
        return this._viewport || this.chart && this.chart.viewport || null
    }
    set viewport(v) {
        this._viewport = v
    }
    attach(chart) {
        this.chart = chart
    }
    detach(chart) {
        this.chart = null
    }
}